Subject: Gen-ART LC review of RFC5591 to DS

From: Ben Campbell <[email-masked]>
Date: Fri, 29 Apr 2011 16:48:12 -0500

(resending due to an addressing problem--please forgive the repeat)

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you may receive.

Document: RFC5591 and report-rfc5343-5590-5591-5953.txt
Reviewer: Ben Campbell	
Review Date: 2011-04-29
IETF LC End Date: 2011-05-03

Summary: RFC5591 is likely ready to progress to draft standard. However, there are some features of the RFC for which it is not clear to me if they have been sufficiently tested.

Major issues:

None

Minor issues:

Section 6 of the interoperability report describes a failure to interop due to one implementation incorrectly not setting the security parameters of a response to match those of the request. The report recognized that implementations should do this--but I must point out this is a MUST level requirement in RFC5591. The report recognized that this was an implementation bug. But the report does not explicitly indicate whether a successful test when (and if) the bug was fixed. (I can only assume it was fixed and retested, since this would seem to block the other test results.)

Both section 6 and 7 of the interoperability report list the snmpTsmConfigurationUsePrefix configuration feature as untestable or untested. It's not clear to me why this was considered untestable, and I am agnostic on whether it's okay to progress without testing this feature. I mention it only to to make sure people better suited to judge the subtleties have noticed and thought about it.

Nits/editorial comments:

None